Loading...
Searching...
No Matches
structs.h File Reference
`#include "kernel/mod2.h"`
`#include "omalloc/omalloc.h"`
`#include "kernel/polys.h"`

Go to the source code of this file.

## Macros

#define | loop for(;;)

## Typedefs

typedef ip_package * | package
typedef char * | char_ptr
typedef int * | int_ptr
typedef sleftv * | leftv
typedef skStrategy * | kStrategy
typedef ssyStrategy * | syStrategy
typedef procinfo * | procinfov

## Enumerations

enum | tHomog { isNotHomog = FALSE , isHomog = TRUE , testHomog }

## Variables

EXTERN_VAR omBin | char_ptr_bin

## Macro Definition Documentation

## loop

#define loop for(;;)

Definition at line 71 of file structs.h.

## Typedef Documentation

## char_ptr

typedef char* char_ptr

Definition at line 49 of file structs.h.

## int_ptr

typedef int* int_ptr

Definition at line 50 of file structs.h.

## kStrategy

typedef skStrategy* kStrategy

Definition at line 54 of file structs.h.

## leftv

typedef sleftv* leftv

Definition at line 53 of file structs.h.

## package

typedef ip_package* package

Definition at line 39 of file structs.h.

## procinfov

typedef procinfo* procinfov

Definition at line 56 of file structs.h.

## syStrategy

typedef ssyStrategy* syStrategy

Definition at line 55 of file structs.h.

## Enumeration Type Documentation

## tHomog

enum tHomog

Enumerator
isNotHomog |
isHomog |
testHomog |

Definition at line 30 of file structs.h.

{
isNotHomog = FALSE,
isHomog = TRUE,
testHomog
};
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
isHomog
@ isHomog
Definition structs.h:33
testHomog
@ testHomog
Definition structs.h:34
isNotHomog
@ isNotHomog
Definition structs.h:32

## Variable Documentation

## char_ptr_bin

EXTERN_VAR omBin char_ptr_bin

Definition at line 73 of file structs.h.